Skip to main content
`Ctrl`+`K`

# Kthvalue

MIOpen: Kthvalue
Functions
Kthvalue

## Functions

miopenStatus_t | miopenKthvalueForward (miopenHandle_t handle, miopenTensorDescriptor_t inputDesc, const void *input, miopenTensorDescriptor_t outputDesc, void *output, miopenTensorDescriptor_t indicesDesc, size_t *indices, size_t k, int32_t dim=-1, bool keepDim=false)
| Execute a Kthvalue forward layer.

## Detailed Description

## Function Documentation

## ◆ miopenKthvalueForward()

miopenStatus_t miopenKthvalueForward | ( | miopenHandle_t | handle,
|  | miopenTensorDescriptor_t | inputDesc,
|  | const void * | input,
|  | miopenTensorDescriptor_t | outputDesc,
|  | void * | output,
|  | miopenTensorDescriptor_t | indicesDesc,
|  | size_t * | indices,
|  | size_t | k,
|  | int32_t | dim = -1,
|  | bool | keepDim = false )

Execute a Kthvalue forward layer.

Parameters

  handle | MIOpen handle (input)
  inputDesc | Tensor descriptor for input tensor (input)
  input | Data tensor input (input)
  outputDesc | Tensor descriptor for output tensor (input)
  output | Data tensor output (output)
  indices | Data tensor indices (output)
  indicesDesc | Tensor descriptor for indices tensor (input)
  k | The k-th smallest element(input)
  dim | The dimension to find the kth value along (Default = -1)(input)
  keepDim | Whether the output tensor has dim retained or not (Default = false)(input)

Returns
  miopenStatus_t